﻿Public Class frmStudents
    Private Sub frmStudents_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load



  

        'for student list
        sql = "SELECT `IDNO`, CONCAT(`FNAME` ,' ', `LNAME`,' ', `MNAME`) as 'FULL NAME', `SEX` , `AGE`, `HOME_ADD` as 'ADDRESS'  FROM `tblstudent`"
        fillListView(sql, lstViewStudent)

        'for the enrolled student
        sql = "SELECT s.`IDNO`, CONCAT(`FNAME` ,' ', `LNAME`,' ', `MNAME`) as 'FULL NAME', `SEX`" _
                   & ", `AGE`, `HOME_ADD` as 'ADDRESS' , l.`AY`, `YR`, `STATUS`" _
                   & " FROM `tblstudupdatelevel` l,`tblstudent` s, `schoolyr` sy" _
                   & " WHERE l.`IDNO`=s.`IDNO` AND s.`IDNO`=sy.`IDNO` AND l.LEVEL = sy.YR"
        fillListView(sql, lstEnSubjStud)


        sql = "SELECT ACADYR FROM ay"
        fillCombo(sql, cboAddSy, "ACADYR")



        clearGroupTxt(GroupBox1)
        rdoMale.Checked = False
        rdoFemale.Checked = False
        txtStudentId.Enabled = True
        chkBirthCert.Checked = False
        chkPic.Checked = False
        chkReportCard.Checked = False
        txtStudentId.Clear()


    End Sub

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        For Each txt As Control In GroupBox1.Controls
            If txt.GetType Is GetType(TextBox) Then
                If txt.Text = "" Then
                    MsgBox("One of the box is empty on the student details,You must fill it", MsgBoxStyle.Exclamation)
                    Return
                Else
                    If rdoMale.Checked = True Then
                        radioSEX = "MALE"
                    Else
                        radioSEX = "FEMALE"
                    End If
                    checkOption(chkBirthCert, Nyesno)
                    checkOption(chkCertification, Cyesno)
                    checkOption(chkPic, Pyesno)
                    checkOption(chkReportCard, Ryesno)
           
                    'student(requirements)
                    sql = "INSERT INTO  `tblrequirements` (`NSO`, `PICID`, `REPORTCARD`, `CERTIFICATE_OF_TRANSFER`, `IDNO`) " _
                            & "VALUES ('" & Nyesno & "','" & Pyesno & "','" & Ryesno _
                            & "','" & Cyesno & "','" & txtStudentId.Text & "')"
                    create(sql)
                    'student basic info
                    sql = "INSERT INTO tblstudent(`IDNO`, `FNAME`, `LNAME`, `MNAME`, `SEX`, `BDAY`, `BPLACE`, `AGE`, `HOME_ADD`, `GUARDIAN`,`GUARDIAN_ADD`,`GUARDIAN_TEL`,`LASTSCHOOLATTEND`,`HEIGTH`,`WEIGTH`) " _
                            & "VALUES ('" & txtStudentId.Text & "','" & txtFName.Text & "','" & txtLName.Text & "','" & txtMName.Text _
                            & "','" & radioSEX & "','" & dtpDbirth.Text & "','" & txtPBirth.Text & "','" & txtAge.Text & "','" _
                            & txtAddress.Text & "','" & txtguardian.Text & "','" & txtguardianadd.Text & "','" & txtguardiantel.Text _
                            & "','" & txtLastSchoolAttend.Text & "','" & txtHeight.Text & "','" _
                            & txtWeigth.Text & "')"
                    messageTrue = "Student has been saved."
                    messageFalse = "Student Failed to save"
                    CreateUpdateDeleteAllMessage(sql, messageTrue, messageFalse)
                    Call frmStudents_Load(sender, e)

                End If
                Return
            End If

        Next

 
    End Sub

    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        Try


            'student siblings
            sql = "DELETE FROM `tblstudsiblings`  WHERE `IDNO` ='" & lstViewStudent.SelectedItems.Item(0).Text & "'"
            deleting(sql)
            'students details
            sql = "DELETE FROM  `tblstuddetails`  WHERE `IDNO` ='" & lstViewStudent.SelectedItems.Item(0).Text & "'"
            deleting(sql)
            'student(requirements)
            sql = "DELETE FROM   `tblrequirements` WHERE `IDNO` ='" & lstViewStudent.SelectedItems.Item(0).Text & "'"
            deleting(sql)
            'student basic info
            sql = "DELETE FROM tblstudent WHERE `IDNO` ='" & lstViewStudent.SelectedItems.Item(0).Text & "'"
            messageTrue = "Student has been deleted."
            messageFalse = "Student Failed to delete."
            CreateUpdateDeleteAllMessage(sql, messageTrue, messageFalse)
            Call frmStudents_Load(sender, e)
        Catch ex As Exception
            MsgBox("Select a students first.", MsgBoxStyle.Exclamation)
        End Try
    End Sub

    Private Sub btnUpdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnUpdate.Click
        If rdoMale.Checked = True Then
            radioSEX = "MALE"
        Else
            radioSEX = "FEMALE"
        End If
        checkOption(chkBirthCert, Nyesno)
        checkOption(chkCertification, Cyesno)
        checkOption(chkPic, Pyesno)
        checkOption(chkReportCard, Ryesno)
        'students siblings
      
        'student(requirements)
        sql = "UPDATE  `tblrequirements` SET `NSO`='" & Nyesno & "', `PICID`='" & Pyesno & "', `REPORTCARD`='" & Ryesno _
                & "', `CERTIFICATE_OF_TRANSFER`='" & Cyesno & "' WHERE IDNO='" & txtStudentId.Text & "'"
        edit(sql)
        'student basic info
        sql = "UPDATE tblstudent SET   `FNAME`='" & txtFName.Text & "', `LNAME`='" & txtLName.Text & "', `MNAME`='" & txtMName.Text _
                & "', `SEX`='" & radioSEX & "', `BDAY`='" & dtpDbirth.Text & "', `BPLACE`='" & txtPBirth.Text & "', `AGE`='" & txtAge.Text _
                & "', `HOME_ADD`='" & txtAddress.Text & "',GUARDIAN='" & txtguardian.Text & "',GUARDIAN_ADD ='" & txtguardianadd.Text _
                & "',GUARDIAN_TEL ='" & txtguardiantel.Text & "',`LASTSCHOOLATTEND`='" & txtLastSchoolAttend.Text _
                & "', WEIGTH='" & txtWeigth.Text & "',HEIGTH='" & txtHeight.Text & "' WHERE IDNO='" & txtStudentId.Text & "'"
        messageTrue = "Student has been updated."
        messageFalse = "No student's record for this id. No record to be updated."
        CreateUpdateDeleteAllMessage(sql, messageTrue, messageFalse)

        Call frmStudents_Load(sender, e)
        TabControl1.Controls.Add(TabPage1)
        TabControl1.Controls.Add(TabPage5)
        TabControl1.SelectedTab = TabPage1
        TabControl1.Controls.Remove(TabPage2)
    End Sub
    Public id As String
 
    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        GetTxtName(GroupBox1)
    End Sub

    Private Sub txtStudentId_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtStudentId.TextChanged
        Try
            If Not IsNumeric(txtStudentId.Text) Then
                txtStudentId.Clear()
            Else

                If txtStudentId.Text = "" Then
                    btnAdd.Enabled = True
                    Call frmStudents_Load(sender, e)
                Else
                    StudentTxtFill(Me)
                End If
            End If
        Catch ex As Exception
            MsgBox(ex.Message & " txtStudentId_TextChanged", MsgBoxStyle.Exclamation)
        End Try
    End Sub

    Private Sub txtSearch_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSearch.TextChanged

        sql = "SELECT `IDNO`, CONCAT(`FNAME` ,' ', `LNAME`,' ', `MNAME`) as 'FULL NAME', `SEX`" _
        & ", `AGE`, `HOME_ADD` as 'ADDRESS'" _
        & " FROM `tblstudent` WHERE `IDNO` like '%" & txtSearch.Text & "%'" _
        & " OR `FNAME` like '%" & txtSearch.Text & "%' OR `LNAME` like '%" & txtSearch.Text & "%'"
        fillListView(sql, lstViewStudent)
    End Sub

    Private Sub TabControl1_Selecting(ByVal sender As System.Object, ByVal e As System.Windows.Forms.TabControlCancelEventArgs) Handles TabControl1.Selecting
        clearGroupTxt(GroupBox1)
        clearGroupTxt(GroupBox8)
        'lstEnSubjStudSubj.Clear()
        'lstEnSubj.Clear()
        rdoMale.Checked = False
        rdoFemale.Checked = False
        txtStudentId.Enabled = True
        chkBirthCert.Checked = False
        chkPic.Checked = False
        chkReportCard.Checked = False
        chkCertification.Checked = False
        txtStudentId.Clear()
    End Sub

    Private Sub btnNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNew.Click
        clearGroupTxt(GroupBox1)
    
        rdoMale.Checked = False
        rdoFemale.Checked = False
        txtStudentId.Enabled = True
        chkBirthCert.Checked = False
        chkPic.Checked = False
        chkReportCard.Checked = False
        chkCertification.Checked = False
    End Sub
  

    Private Sub lstViewStudent_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles lstViewStudent.DoubleClick
        Try
            id = lstViewStudent.SelectedItems.Item(0).Text

            TabControl1.SelectedTab = TabPage2
            TabControl1.Controls.Remove(TabPage1)
            TabControl1.Controls.Remove(TabPage5)
            TabControl1.Controls.Add(TabPage2)
            TabPage2.Text = "EDIT STUDENT"
            btnAdd.Visible = False
            txtStudentId.Text = id
            txtStudentId.Enabled = False
        Catch ex As Exception
            MsgBox(ex.Message & " lstViewStudent_DoubleClick", MsgBoxStyle.Exclamation)
        End Try

    End Sub

   
    Private Sub txtEnrolSubjSeachStud_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtEnrolSubjSeachStud.TextChanged
        sql = "SELECT s.`IDNO`, CONCAT(`FNAME` ,' ', `LNAME`,' ', `MNAME`) as 'FULL NAME', `SEX`" _
                  & ", `AGE`, `HOME_ADD` as 'ADDRESS' , l.`AY`, `YR`, `STATUS`" _
                  & " FROM `tblstudupdatelevel` l,`tblstudent` s, `schoolyr` sy" _
                  & " WHERE l.`IDNO`=s.`IDNO` AND s.`IDNO`=sy.`IDNO` AND l.LEVEL = sy.YR AND (s.`IDNO` like '%" & txtEnrolSubjSeachStud.Text & "%'" _
          & " OR  s.`FNAME` like '%" & txtEnrolSubjSeachStud.Text & "%' OR  s.`LNAME` like '%" _
          & txtEnrolSubjSeachStud.Text & "%')"
        fillListView(sql, lstEnSubjStud)
    End Sub

    Private Sub lstEnSubjStud_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles lstEnSubjStud.Click

        Try
            sql = "SELECT * " _
               & " FROM `tblstudupdatelevel` l,`tblstudent` s, `schoolyr` sy" _
               & " WHERE l.`IDNO`=s.`IDNO` AND s.`IDNO`=sy.`IDNO` AND l.LEVEL = sy.YR AND s.`IDNO` like '%" _
              & lstEnSubjStud.SelectedItems.Item(0).Text & "%'"
            fillSpecifictxt(sql)


            txtEnSubjName.Text = dt.Rows(0).Item("FNAME") & " " & dt.Rows(0).Item("LNAME") & " " & dt.Rows(0).Item("MNAME")
            txtEnSubjAdd.Text = dt.Rows(0).Item("HOME_ADD")
            txtEnSubjLevel.Text = dt.Rows(0).Item("YR")
            txtSection.Text = dt.Rows(0).Item("SECTION")
            txtEnSubjSy.Text = dt.Rows(0).Item("AY")
            txtEnSubjStatus.Text = dt.Rows(0).Item("STATUS")

            'id = lstEnSubjStud.SelectedItems.Item(0).Text
            'for student enrolled subjects
            sql = "SELECT  S.`SUBJ_CODE`, S.`SUBJ_DESCRIPTION`,sy.`YR`,sy.`AY`,`STATUS` " _
            & "FROM tblstudupdatelevel l,`schoolyr`  sy, `subject` s " _
            & "WHERE l.LEVEL=sy.YR AND sy.`YR` =s.`YR` AND sy.`IDNO` =l.`IDNO` AND sy.`IDNO` = '" _
            & lstEnSubjStud.SelectedItems.Item(0).Text & "'"
            fillListView(sql, lstEnSubj)

            'for students subjects
            sql = "SELECT  S.`SUBJ_CODE`, S.`SUBJ_DESCRIPTION`,s.`YR`,s.`AY` ,REMARKS " _
            & "FROM `grades`  g, `subject` s " _
            & "WHERE  g.`SUBJ_ID` =s.`SUBJ_ID` AND `IDNO` = '" _
            & lstEnSubjStud.SelectedItems.Item(0).Text & "'"
            fillListView(sql, lstEnSubjStudSubj)
            id = lstEnSubjStud.SelectedItems.Item(0).Text
        Catch ex As Exception
            MsgBox(ex.Message & " lstEnSubjStud_Click", MsgBoxStyle.Exclamation)
        End Try

    End Sub

    Private Sub cboStudSubjLevel_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cboStudSubjLevel.SelectedIndexChanged
        Try
            sql = "SELECT  S.`SUBJ_CODE`, S.`SUBJ_DESCRIPTION`,s.`YR`,s.`AY` ,REMARKS " _
                        & "FROM `grades`  g, `subject` s " _
                        & "WHERE  g.`SUBJ_ID` =s.`SUBJ_ID` AND `IDNO` = '" _
                        & id & "' AND s.YR = '" & cboStudSubjLevel.Text & "'"
            fillListView(sql, lstEnSubjStudSubj)

        Catch ex As Exception

        End Try
    End Sub

    Private Sub txtLName_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtLName.TextChanged
        Try
            If IsNumeric(txtLName.Text) Then
                txtLName.Clear()
            End If
        Catch ex As Exception

        End Try
    End Sub

    Private Sub txtFName_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtFName.TextChanged
        Try
            If IsNumeric(txtFName.Text) Then
                txtFName.Clear()
            End If
        Catch ex As Exception

        End Try
    End Sub

    Private Sub txtMName_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtMName.TextChanged
        Try
            If IsNumeric(txtMName.Text) Then
                txtMName.Clear()
            End If
        Catch ex As Exception

        End Try
    End Sub

    Private Sub txtAge_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtAge.TextChanged
        Try
            If Not IsNumeric(txtAge.Text) Then
                txtAge.Clear()
            End If
        Catch ex As Exception

        End Try

    End Sub

    Private Sub txtWeigth_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtWeigth.TextChanged

        Try
            If Not Double.Parse(IsNumeric(txtWeigth.Text)) Then
                txtWeigth.Clear()
            End If
        Catch ex As Exception

        End Try
       
    End Sub

    Private Sub txtHeight_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtHeight.TextChanged
        Try
            If Not Double.Parse(IsNumeric(txtHeight.Text)) Then
                txtHeight.Clear()
            End If
        Catch ex As Exception

        End Try

    End Sub
 
     
    Private Sub cboStudSubjLevel_DropDown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboStudSubjLevel.DropDown
  
    End Sub
End Class